
package org.mote.wiimote.whiteboard.mouse.smoothing;

import java.awt.Point;
import java.util.LinkedHashMap;
import java.util.Map;

public interface MouseSmoothingStrategy {
	
	public static final Map<String, Class<? extends MouseSmoothingStrategy>> REGISTERED = new LinkedHashMap<String, Class<? extends MouseSmoothingStrategy>>();
	
	public Point translate(Point p);
	public void reset();

}
